//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated August 2006
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"
#include "glass.inc"
// #include "textures.inc"

camera {
   location  <0.0, 0.0, -3.0>
   direction <0.0, 0.0, 1.0>
   up        <0.0, 1.0, 0.0>
   right     <4/3, 0.0, 0.0>
}

light_source { <5.0, 20.0, -40.0>
//      colour red 5.0 green 4.85 blue 3.5
      colour red 5.0 green 4.85 blue 4.5 
//      colour red 3.0 green 2.91 blue 2.7 
//      colour red 4.0 green 3.88 blue  3.6
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
}

light_source { <0.0, 0.0, -30.0>
//      colour red 20.0 green 19.4 blue 14.0
      colour red 20.0 green 19.4 blue 18.0
//      colour red 12.0 green 11.64 blue 10.8 
//      colour red 16.0 green 15.52 blue 14.4 
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
}

// #declare F_Glass3 =
// finish  {
//    ambient 0.1
//    ambient 0.05
//    diffuse 0.1
//    reflection 0.1
//    refraction 1
//    ior 1.45
//    specular 0.8
//    roughness 0.003
//    phong 1
//    phong_size 400
// }

#declare Icosahedron = intersection  {
   plane {-z, 1.0 rotate <52.6625,    0.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625,  -72.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -144.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -216.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -288.0, 0.0>}
   
   plane {-z, 1.0 rotate <10.8125,    0.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125,  -72.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -144.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -216.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -288.0, 0.0>}
   
   plane {-z, 1.0 rotate <-52.6625,  -36.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -108.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -180.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -252.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -324.0, 0.0>}
   
   plane {-z, 1.0 rotate <-10.8125,  -36.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -108.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -180.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -252.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -324.0, 0.0>}
}

#declare Carm = intersection {
     plane { <0.0, -1.0, 0.0>, 0.0 }
     plane { <0.0, -1.0, 0.0>, 1.0 }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 0.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 60.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 120.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 180.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 240.0, 0.0>  }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 300.0, 0.0> }
}

#declare Icos = object {
    object { Icosahedron }
    texture {
       pigment { color rgbf <0.98, 0.98, 0.98, 0.90> }
       finish { F_Glass8
          ambient 0.05 
       }
    }
}

#declare Ccarm = object {
    object { Carm }
    texture {
       pigment { color rgbf <0.98, 0.98, 0.98, 0.90> }
       finish { F_Glass8
          ambient 0.05 
       }
    }
    scale 1.2
    rotate 90.0*x
}

union {
    object { Icos }

    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, 0.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -72.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -144.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -216.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -288.0, 0.0> }

    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, 0.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -72.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -144.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -216.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -288.0, 0.0> }


    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -36.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -108.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -180.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -252.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -324.0, 0.0> }
    
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -36.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -108.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -180.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -252.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -324.0, 0.0> }

    rotate 27.0*x
    rotate 17.0*y
    scale 0.75
    translate 5.0*z
}

object {
   Plane_XZ
   translate <0.0,  -10.0,  0.0>
   texture {
//      pigment { red 0.20 green 0.20 blue 0.20 }
//      pigment { red 0.24 green 0.24 blue 0.24 }
      pigment { red 0.26 green 0.26 blue 0.26 }
//      pigment { red 0.3 green 0.3 blue 0.3 }
      finish {
         phong 1.0 
	 phong_size 10.0
         ambient 0.2
         diffuse 0.8
      }
   }
}
