//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 2002 - 2005, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


// Persistence Of Vision raytracer version 3.0 sample file.
// Recursive cluster of mirrored spheres
// After a classic, Sphereflake, by Eric Haines

// #version 3.0
// global_settings { max_trace_level 20  assumed_gamma 2.2 }

#include "colors.inc"

camera { // This is an unusual camera since it is a converted file
   location <0.0, 1.5, 1.5>
   up       <0, 0, 1> 
   right    <-4/3, 0, 0> 
   sky      <0, 0, 1>
   look_at  <0, 0, -0.1>
}

light_source { <3.0, 3.0, 2.0 > color <0.20, 0.20, 0.20> }

light_source { <0.0, 4.0, 4.0 > color <0.20, 0.20, 0.20> }

light_source { <-3.0, 3.0, 2.0 > color <0.20, 0.20, 0.20> }

sky_sphere { pigment { rgb <0.45,0.75,1.0> } }

// sphere { <0, 0, 0>, 10000
//    pigment { SkyBlue }
//    finish { ambient 1 diffuse .5}
// }

// plane { z, -10.0
//  pigment { color red 1.0 green 1.0 blue 1.0 }
//  finish { diffuse 1 }
// }

object {
   plane {z, -1.0 }
   texture {
      pigment {
         checker color rgb 0.8 color Yellow 
         scale 1.0
      }
      finish {
         phong 0.2
	 phong_size 1.0
         ambient 0.8
         diffuse 0.2
      }
   }
   scale 0.33 
}


#declare Texture =
texture {
   finish {
      ambient 0.03
      diffuse 1.0
      reflection 0.4
      phong 1.0
      phong_size 3.0
   }
   pigment { color red 0.5 green 0.45 blue 0.35 }
}

union {
   sphere { <0.0, 0.0, 0.0>, 0.5
   texture {
      Texture
//     normal {
//        bumps 0.4
//        sine_wave
//        scale 0.025
//     }
   }
}

   union {
      sphere { <0.272166, 0.272166, 0.544331>, 0.166667  }
      sphere { <0.643951, 0.172546, 0>, 0.166667  }
      sphere { <0.172546, 0.643951, 0>, 0.166667 }
      sphere { <-0.371785, 0.0996195, 0.544331>, 0.166667  }
      sphere { <-0.471405, 0.471405, 0>, 0.166667  }
      sphere { <-0.643951, -0.172546, 0>, 0.166667  }
      sphere { <0.0996195, -0.371785, 0.544331>, 0.166667  }
      sphere { <-0.172546, -0.643951, 0>, 0.166667  }
      sphere { <0.471405, -0.471405, 0>, 0.166667  }
      texture { Texture }
   }
}

