//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: August 2006 
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"
#include "woods.inc"


camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}


light_source { <0.0, 10.0, -80.0> color rgb 0.60}

// light_source { <5.0, 8.0, -40.0> color rgb 0.12}

// light_source { <-5.0, 8.0, -40.0> color rgb 0.12}

// light_source { <0.0, 40.0, -40.0> color rgb 0.12}


sky_sphere { pigment {rgb <0.244, 0.28, 0.34>} }

// sky_sphere { pigment {rgb <0.366, 0.42, 0.51>} }

// sky_sphere { pigment {rgb <0.488, 0.56, 0.68>} }

// sky_sphere { pigment {rgb <0.585, 0.675, 0.81>} }

// sky_sphere { pigment {rgb <0.61, 0.70, 0.85>} }

// sky_sphere { pigment {rgb <0.45, 0.75, 1.0>} }

// sky_sphere { pigment {rgb <0.27, 0.45, 0.60>} }

// sky_sphere { pigment {rgb <0.70, 0.70, 0.70>} }

// sphere { <0,0,0>, 1000 hollow texture { pigment {rgb <0.45, 0.75, 1.0>} } }

// sphere { <0,0,0>, 1000 hollow texture { pigment {rgb <0.61, 0.70, 0.85>} } }


#declare wood1 = texture {
   T_Wood11
   scale 3.0
}

plane {z, 8.0
   texture { wood1 
      rotate 90.0*x
   } 
}

plane {y, -8.0
   texture { wood1 }
}


#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}


// Start of computer generated code.


#declare s1 = sphere {
   <0.0, 0.0,  -0.07401754163279>,   0.07401754163279
}


#declare c1 = cylinder {
    -0.07401754163279*z, 12.0*z,   0.07401754163279
}


#declare l3 = union {
   object { c1 }
   object { s1 }
   texture { steeltexture }
}


#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0
}


#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}


#declare link = union {
   object { l1
      translate -2.0*x
   }
   object { l1
      translate 2.0*x
   }
   object { l2
      translate 2.0*z
   }
   object { l2
      translate 2.0*z
      rotate 180*x
   }
   rotate 90*x
   scale   0.07401754163279
   texture { steeltexture }
}


union {


   object { l3
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }


   object { l3
      translate   4.00000000000003*x
      translate   7.52439138216738*y
   }


   object { link
      translate  -0.14803508326558*y
      rotate  15.72185849638025*z
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  16.72000590496990*z
      translate  -3.91982178612126*x
      translate   7.23956546697698*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  17.83289692483208*z
      translate  -3.74956631196663*x
      translate   6.67279349757534*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  19.11829782482439*z
      translate  -3.65895059928883*x
      translate   6.39111435287221*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  20.57082249733029*z
      translate  -3.46512719049089*x
      translate   5.83196331962537*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  22.27996181955848*z
      translate  -3.36115977227889*x
      translate   5.55493421665034*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  24.24317250956463*z
      translate  -3.13679227749002*x
      translate   5.00732430160012*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  26.60589377371324*z
      translate  -3.01529442694390*x
      translate   4.73752322625489*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  29.37350563450048*z
      translate  -2.75025989407020*x
      translate   4.20839744899251*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  32.79285349620783*z
      translate  -2.60512273622182*x
      translate   3.95054176579654*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  36.88525236453643*z
      translate  -2.28460637296208*x
      translate   3.45306146200369*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  42.07228975410547*z
      translate  -2.10700543773038*x
      translate   3.21639237709903*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  48.37993991426525*z
      translate  -1.71046495117540*x
      translate   2.77710541587454*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  56.42333425870069*z
      translate  -1.48926340188444*x
      translate   2.58057495376740*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  66.04613768828085*z
      translate  -0.99621420845327*x
      translate   2.25328321137849*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate  77.54090993142511*z
      translate  -0.72580308208115*x
      translate   2.13314924166579*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate  90.00000000000448*z
      translate  -0.14794791984393*x
      translate   2.00547464256758*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 102.45909006858331*z
      translate   0.14794791984425*x
      translate   2.00547464256761*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 113.95386231172651*z
      translate   0.72580308208144*x
      translate   2.13314924166590*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 123.57666574130560*z
      translate   0.99621420845355*x
      translate   2.25328321137864*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 131.62006008574014*z
      translate   1.48926340188469*x
      translate   2.58057495376761*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 137.92771024589905*z
      translate   1.71046495117565*x
      translate   2.77710541587478*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 143.11474763546715*z
      translate   2.10700543773060*x
      translate   3.21639237709931*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 147.20714650379495*z
      translate   2.28460637296227*x
      translate   3.45306146200396*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 150.62649436550180*z
      translate   2.60512273622199*x
      translate   3.95054176579682*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 153.39410622628878*z
      translate   2.75025989407037*x
      translate   4.20839744899282*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 155.75682749043713*z
      translate   3.01529442694405*x
      translate   4.73752322625522*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 157.72003818044286*z
      translate   3.13679227749017*x
      translate   5.00732430160046*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 159.42917750267031*z
      translate   3.36115977227898*x
      translate   5.55493421665058*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 160.88170217517592*z
      translate   3.46512719049093*x
      translate   5.83196331962546*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 162.16710307516823*z
      translate   3.65895059928886*x
      translate   6.39111435287231*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.29607016653115*y
      rotate 163.27999409503036*z
      translate   3.74956631196666*x
      translate   6.67279349757544*y
   }
   object { link
      translate  -0.14803508326558*y
      rotate 164.27814150362002*z
      translate   3.91982178612129*x
      translate   7.23956546697709*y
   }


   scale   1.70000000000000
   translate  -8.25000000000000*y
   translate   4.00000000000000*z


}
