//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 2002 - 2005, updated September 2005 
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
// #include "shapes.inc"
// #include "glass.inc"
#include "gems.inc"

camera {
   location  <0.0,  0.0, -3.0>
   direction <0.0,  0.0,  1.0>
   up        <0.0,  1.0, 0.0>
   right     <4/3, 0.0,  0.0>
}

sky_sphere { pigment { rgb <0.0,0.0,0.0> } }

object { Brillant57
    texture { Diamond_Texture }
    rotate 30.0*x
    scale 3.0
    translate 5.0*z
}

plane { z, 50.0 inverse
   texture {
//  pigment { red  0.3 green 0.3 blue 0.3 }
       pigment { red  0.2 green 0.2 blue 0.2 }
       finish {
          phong 1.0 
           phong_size 10.0
           ambient 0.2
           diffuse 0.8
       }
    }
}

object {
   light_source { <20.0, 30.0, -40.0>
//      colour red 1.0 green 0.970 blue 0.90 
//      colour red 0.8 green 0.776 blue 0.72 
//      colour red 0.64 green 0.6208 blue 0.576 
//      colour red 0.50 green 0.485 blue 0.45 
      colour red 0.40 green 0.388 blue 0.36 
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
   }
}

object {
   light_source { <-20.0, 30.0, -40.0>
//      colour red 1.0 green 0.970 blue 0.90 
//      colour red 0.8 green 0.776 blue 0.72 
//      colour red 0.64 green 0.6208 blue 0.576 
//      colour red 0.50 green 0.485 blue 0.45 
      colour red 0.40 green 0.388 blue 0.36 
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
   }
}

object {
   light_source { <20.0, -30.0, -40.0>
//      colour red 1.0 green 0.970 blue 0.90 
//      colour red 0.8 green 0.776 blue 0.72 
//      colour red 0.64 green 0.6208 blue 0.576 
//      colour red 0.50 green 0.485 blue 0.45 
      colour red 0.40 green 0.388 blue 0.36 
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
   }
}

object {
   light_source { <-20.0, -30.0, -40.0>
//      colour red 1.0 green 0.970 blue 0.90 
//      colour red 0.8 green 0.776 blue 0.72 
//      colour red 0.64 green 0.6208 blue 0.576 
//      colour red 0.50 green 0.485 blue 0.45 
      colour red 0.40 green 0.388 blue 0.36 
      spotlight
      point_at <0.0, 0.0, 5.0>
      tightness 50.0
      radius 11.0
      falloff 25.0
   }
}
