//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 2002 - 2005, updated September 2005 
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"
#include "golds.inc"
#include "gems.inc"

camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}

global_settings { ambient_light rgb <1.62, 1.62, 1.62> }

// global_settings { ambient_light rgb <2.7, 2.7, 2.7> }
// global_settings { ambient_light rgb <1.89, 1.89, 1.89> }

light_source { <0.0, 0.0, -40.0> color rgb 0.9 }

// light_source { <0, 0, -40> color rgb 0.7 }
// light_source { <0, 0, -40> color rgb 0.42 }
// light_source { <0, 0, -40> color rgb 0.49 }
//             area_light <10, 0, 0>, <0, 10, 0>, 5, 5
//           adaptive 1
//           jitter
//          }

light_source { <0.0, 40.0, 0.0> color rgb 0.9 }

// light_source { <0, 40, 0> color rgb 0.7 }
// light_source { <0, 40, 0> color rgb 0.42 }
// light_source { <0, 40, 0> color rgb 0.49 }
//            area_light <10, 0, 0>, <0, 0, 10>, 5, 5
//           adaptive 1
//           jitter
//           }


sky_sphere {pigment {rgb <0.0, 0.0, 0.0>} }

// plane {z, 5 
//  texture {
//   pigment { color rgb 0.0 }
//   finish {
//      phong 0.0
//      phong_size 1
//      ambient 0.8
//      diffuse 0.2 
//   }
//  }
// }

// plane {y, -2.75
//  texture {
//   pigment { color red 0.0 green 0.0 blue 0.0 }
//   finish {
//      phong 0.0
//      phong_size 1
//      ambient 0.8
//      diffuse 0.2 
//   }
//  }
// }


#declare b1 = intersection  {
      torus { 0.5, 0.6 
         rotate 90*x
      }
      cylinder { -0.2*z, 0.2*z, 1.0 open inverse } 
      plane { <0.0,0.0,1.0>, -0.2 inverse }
      plane { <0.0,0.0,1.0>, 0.2 }
      texture { T_Gold_3C }
}

#declare b2 = intersection  {
      sphere { < 0.0, 0.0, 0.0>, 0.25 }
      cylinder { -0.125*z, 0.125*z, 0.2 open inverse }
      plane { <0.0,0.0,1.0>, -0.125 inverse }
      plane { <0.0,0.0,1.0>, 0.125 }
      texture { T_Gold_3C }
}

#declare b31 = object { 
     Brillant57
     texture { Ruby_Texture }
}

#declare b32 = object { 
     Brillant57
     texture { Diamond_Texture }
}

#declare b33 = object { 
     Brillant57
     texture { Saphire_Texture }
}

#declare b41 = union {
    object { b1 }
    object { b2 
        rotate 90.0*x
	translate < 0.0, 1.15, 0.0 >
    }
    object { b31
        scale 0.22
        translate < 0.0, 1.25, 0.0 >
    }
}

#declare b42 = union {
    object { b1 }
    object { b2 
        rotate 90.0*x
	translate < 0.0, 1.15, 0.0 >
    }
    object { b32
        scale 0.22
        translate < 0.0, 1.25, 0.0 >
    }
}

#declare b43 = union {
    object { b1 }
    object { b2 
        rotate 90.0*x
	translate < 0.0, 1.15, 0.0 >
    }
    object { b33
        scale 0.22
        translate < 0.0, 1.25, 0.0 >
    }
}


object { b41
      scale < 2.5, 2.5, 2.5 >
      rotate -60.0*x
//      rotate -60*z
//      rotate 90*y
//      translate <0.0, 0.0, 0.0>
}

object { b42
      scale 2.5
      rotate -60.0*z
      rotate 90.0*y
      translate <-3.5, 0.0, 0.0>
}

object { b43
      scale 2.5
      rotate -60.0*z
      rotate 90.0*y
      translate <3.5, 0.0, 0.0>
}
