//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated March 2006 
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"           
// #include "textures.inc"       
#include "shapes.inc"
#include "glass.inc"
#include "woods.inc"

camera {
   //   location <0.0  1.5  -3.0>
   location <0.0,  1.5,  -2.0>
   direction <0.0, 0.0,  1.0>
   up  <0.0,  1.0,  0.0>
   right <4/3, 0.0, 0.0>
   look_at <0, 0 ,0>
}

light_source { <7.0, 30.0, -20.0> 
         color red 1.4 green 1.4 blue 1.4 
//         color red 1.2 green 1.2 blue 1.2 
         spotlight
         point_at <0.0, 0.25, 0.25>
         tightness 600.0
         radius 11.0
         falloff 100.0
}

light_source { <-4.0, 30.0, -7.0> 
         color red 1.4 green 1.4 blue 1.4 
//         color red 1.2 green 1.2 blue 1.2 
         spotlight
         point_at <0.0, 0.25, 0.25>
         tightness 600.0
         radius 11.0
         falloff 100.0
}

sky_sphere { pigment {rgb <0.0,0.0,0.0>} }

#declare F_Glass3 =
finish  {
    ambient 0.1
    diffuse 0.1
    reflection 0.1
    refraction 1.0
    ior 1.45
    specular 0.8
    roughness 0.003
    phong 1.0
    phong_size 400.0
}

# declare glasstexture = texture {
    pigment { color rgbf <0.98, 0.98, 0.98, 0.90> }
    finish { F_Glass3
         reflection 0.07
    }
}

#declare Cup = object {
   union {
      intersection {
         object { Ellipsoid
            scale <0.7, 1.0, 0.7>
            translate <0, 0.0, 0.25>
         }
         object { Ellipsoid
            scale <0.665, 0.95, 0.665>
            translate <0.0, 0.025, 0.25>
            inverse
          }
          plane {<0.0, 1.0, 0.0>, 0.4 }
       }   
       intersection {
          torus { 0.6223698376, 0.0191907597
             translate <0.0, 0.4, 0.25>
          }
          plane {<0.0, 1.0, 0.0>, 0.4 inverse }
       }   
    }
    texture { glasstexture }
}

#declare Teller = object {
   intersection {
      object { Ellipsoid
         scale <1.10, 0.15, 1.10>
         translate <0, -0.51, 0.25>
      }
      object { Ellipsoid
         scale <1.045, 0.1425, 1.045>
         translate <0.0, -0.485, 0.25>
         inverse
       }
       plane {<0, 1, 0>, -0.16 }
    }   
    texture { glasstexture }
}

#declare Ear = object {
    intersection {
       torus { 0.20, 0.025
          rotate 90*x
          scale <1.8, 2.4, 2.0>
          translate <0.70, -0.14, 0.25>
        }
      object { Ellipsoid
         scale <0.7, 1.0, 0.7>
         translate <0, 0.0, 0.25>
	 inverse
      }
    }
    texture { glasstexture }
}

#declare Tea = object {
   intersection {
      object { Ellipsoid
         scale <0.665, 0.95, 0.665>
         scale 1.002 
         translate <0, 0.025, 0.25>
      }
      plane { <0, 1, 0>, 0.25 }
   }
   texture {
       pigment { rgbf <1.0, 0.6, 0.3, 0.94> }
       finish {
          F_Glass3
	  ambient 0.8
       }
   }
} 

union {
   object { Cup
      translate <0.0, -0.01, 0.0 >
   }
   object { Ear 
      translate <0.0, -0.01, 0.0 >
   }
}

object { Tea
   translate <0.0, -0.01, 0.0 >
}

object { Teller }

object { 
   intersection {
   sphere { <0.0, -3.0, 0.25>, 6.0 }
   plane { <0.0, 1.0, 0.0>, -1.0 }
   }
   texture { T_Wood11
      scale 1.0
   }

}
