//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"

camera {
   location <0, 35, -50>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 8, 0>
}

light_source { <100.0, 100.0, -100.0> color <0.6, 0.6, 0.6> }

sky_sphere { pigment { rgb <1.0,1.0,1.0> } }

torus { 25.0, 1.0
texture {
   pigment { Red }
   finish {
      phong 1.0
      phong_size 10.0
      ambient 0.2
      diffuse 0.8
   }
}
// scale 1.0
translate <0.0, 12.0, 0.0>
}

torus { 25.0, 1.0
texture {
   pigment { Blue }
   finish {
      phong 1.0
      phong_size 10.0
      ambient 0.2
      diffuse 0.8
   }
}
// scale 1.0
rotate -10.0*x
translate <3.0, 12.0, 0.0>
}


torus { 25.0, 1.0
texture {
   pigment { Yellow }
   finish {
      phong 1.0
      phong_size 10
      ambient 0.2
      diffuse 0.8
   }
}
// scale 1.0
rotate 10.0*z
translate <3.0, 12.0, 6.0>
}


torus { 25.0, 1.0
texture {
   pigment { Green }
   finish {
      phong 1.0
      phong_size 10.0
      ambient 0.2
      diffuse 0.8
   }
}
// scale 1.0
rotate -10.0*x
rotate -10.0*z
translate <3.0, 12.0, 3.0>
}



