//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "shapes.inc"
#include "colors.inc"

camera {
   location  <0.0, 0.0, -10.0>
   look_at   <0.0, 0.0,   0.0>
   up        <0.0, 1.0,   0.0>
   right     <4/3, 0.0,   0.0>
}


// light_source { <0, -1.5, -500> colour rgb 0.35 }


light_source { <0.0, -1.5, -50.0>
      colour rgb 0.23 
      spotlight
      point_at <0, -1.5, 0>
      tightness 100
      radius 7 
      falloff 2.5
}

sky_sphere { pigment { rgb <0.45,0.75,1.0> } }

// sphere { <0,0,0>, 1000 hollow texture { pigment {rgb <0.45, 0.75, 1.0>} } }


#declare colfinish = finish {
   phong 1.0
   phong_size 10.0
   ambient 0.2
   diffuse 3.5 
}

#declare redtexture = texture {
   pigment { Red }
   finish { colfinish }
}

#declare greentexture = texture {
   pigment { Green }
   finish { colfinish }
}

#declare whitetexture = texture {
   pigment { White }
   finish { colfinish }
}

#declare Oxygen = sphere {
   <0.0, 0.0, 0.0>, 2.0 
   texture { redtexture }
}


#declare Hydrogen = sphere {
   <0.0, 0.0, 0.0>, 1.2 
   texture { whitetexture }
}


#declare Glue = cylinder {
    0.0*x, 5.0*x, 0.25 
    texture { greentexture }
}


#declare GH = union {
    object { Glue }
    object { Hydrogen
       translate 5.0*x
    }
}


union {
   object { GH 
      rotate 35.5*z
      translate -1.5*y
   }
   object { GH 
      rotate 144.5*z
      translate  -1.5*y
   }
   object { Oxygen
      translate -1.5*y
   }
}
