//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"
#include "functions.inc"

camera {
   location <0.0, 2.0, -10.0>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0.0, 0.0, 0.0>
}


// Uncomment three lines to work with red solid texture:

// light_source { <5.0, 8.0, -40.0> color rgb 0.15}
// light_source { <5.0, 44.0, -20.0> color rgb 0.15}
// sky_sphere {pigment {rgb <0.7,0.7,0.7>} }

// Uncomment three lines to work with steel texture:

// light_source { <5.0, 8.0, -40.0> color rgb 0.30}
// light_source { <5.0, 44.0, -20.0> color rgb 0.30}
// sky_sphere { pigment {rgb <0.61, 0.70, 0.85>} }

// Uncomment three lines to work with glass texture:

light_source { <5.0, 8.0, -40.0> color rgb 0.30}
light_source { <5.0, 44.0, -20.0> color rgb 0.30}
sky_sphere {pigment {rgb <0.7,0.7,0.7>} }

#declare colfinish = finish {
   phong 1.0
   phong_size 10
   ambient 0.07
   diffuse 3.5 
}

#declare solidtexture = texture {

// Uncomment appropriate solid color line (white, red, green or blue):

//   pigment { color red 0.98 green 0.98 blue 0.98 }
   pigment { color red 0.92 green 0.14 blue 0.07 }
//   pigment { color red 0.07 green 0.92 blue 0.14 }
//   pigment { color red 0.14 green 0.07 blue 0.92 }

// Extreme RGB solid colors for comparison:

//   pigment { color red 1.0 green 1.0 blue 1.0 }
//   pigment { color red 1.0 green 0.0 blue 0.0 }
//   pigment { color red 0.0 green 1.0 blue 0.0 }
//   pigment { color red 0.0 green 0.0 blue 1.0 }

   finish { colfinish }
}

#declare steeltexture = texture {

// Uncomment appropriate steel color line (somewhat bronze like or silver):

   pigment { color red 0.5 green 0.45 blue 0.35 }
//   pigment { color red 0.5 green 0.5 blue 0.5 }

   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}

#declare F_Glass3 =
finish  {
    ambient 0.1
    diffuse 0.1
    reflection 0.1
    refraction 1.0
    ior 1.45
    specular 0.8
    roughness 0.003
    phong 1.0
    phong_size 400.0
}

# declare glasstexture = texture {

// Uncomment appropriate glass color line (white, red, green or blue):

    pigment { color rgbf <0.98, 0.98, 0.98, 0.90> }
//    pigment { color rgbf <0.92, 0.14, 0.07, 0.90> }
//    pigment { color rgbf <0.07, 0.92, 0.14, 0.90> }
//    pigment { color rgbf <0.14, 0.07, 0.92, 0.90> }

// Extreme RGB glass colors for comparison:

//    pigment { color rgbf <1.0, 1.0, 1.0, 0.90> }
//    pigment { color rgbf <1.0, 0.0, 0.0, 0.90> }
//    pigment { color rgbf <0.0, 1.0, 0.0, 0.90> }
//    pigment { color rgbf <0.0, 0.0, 1.0, 0.90> }

    finish { F_Glass3
         reflection 0.07
    }
}


plane {z, 12.0  inverse
   texture {
      pigment { color rgb 0.9 }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
      }
   }
}

plane {y, -3.0 
   texture {
      pigment {

// Uncomment appropriate checker board color line:

//         checker color rgb 0.8 color Yellow 
         checker color rgb 0.8 color White 

         scale 2.0
      }
      finish {
         phong 0.2
	 phong_size 1.0
         ambient 0.8
         diffuse 0.2
      }
   }
   scale 1.0 
}


#declare aart = sphere_sweep {
    cubic_spline

     157,

< -3.693968851954,  -4.728064521640,  -2.366666666667>,   2.000000000000
< -4.010458310185,  -4.462759700260,  -2.300925925926>,   2.000000000000
< -4.307947974257,  -4.176312278924,  -2.235185185185>,   2.000000000000
< -4.840387106931,  -3.545511621058,  -2.103703703704>,   2.000000000000
< -5.281208347081,  -2.847602218486,  -1.972222222222>,   2.000000000000
< -5.622067917214,  -2.095793962735,  -1.840740740741>,   2.000000000000
< -5.856514094612,  -1.304316932197,  -1.709259259259>,   2.000000000000
< -5.980109328267,  -0.488152048007,  -1.577777777778>,   2.000000000000
< -5.990514231973,   0.337252481872,  -1.446296296296>,   2.000000000000
< -5.887531863764,   1.156273563289,  -1.314814814815>,   2.000000000000
< -5.673111453596,   1.953408926743,  -1.183333333333>,   2.000000000000
< -5.351311508703,   2.713570551289,  -1.051851851852>,   2.000000000000
< -4.928222994975,   3.422370247620,  -0.920370370370>,   2.000000000000
< -4.411854048359,   4.066391994874,  -0.788888888889>,   2.000000000000
< -3.811978398435,   4.633445876436,  -0.657407407407>,   2.000000000000
< -3.139950373196,   5.112798808272,  -0.525925925926>,   2.000000000000
< -2.408489986564,   5.495377692627,  -0.394444444444>,   2.000000000000
< -1.631442176476,   5.773941151832,  -0.262962962963>,   2.000000000000
< -0.823514750630,   5.943216591669,  -0.131481481481>,   2.000000000000
<  0.000000000000,   6.000000000000,  -0.000000000000>,   2.000000000000
<  0.823514750630,   5.943216591669,   0.131481481481>,   2.000000000000
<  1.631442176476,   5.773941151832,   0.262962962963>,   2.000000000000
<  2.408489986564,   5.495377692627,   0.394444444444>,   2.000000000000
<  3.139950373196,   5.112798808272,   0.525925925926>,   2.000000000000
<  3.811978398435,   4.633445876436,   0.657407407407>,   2.000000000000
<  4.411854048359,   4.066391994874,   0.788888888889>,   2.000000000000
<  4.928222994975,   3.422370247620,   0.920370370370>,   2.000000000000
<  5.351311508703,   2.713570551289,   1.051851851852>,   2.000000000000
<  5.673111453596,   1.953408926743,   1.183333333333>,   2.000000000000
<  5.887531863764,   1.156273563289,   1.314814814815>,   2.000000000000
<  5.990514231973,   0.337252481872,   1.446296296296>,   2.000000000000
<  5.980109328267,  -0.488152048007,   1.577777777778>,   2.000000000000
<  5.856514094612,  -1.304316932197,   1.709259259259>,   2.000000000000
<  5.622067917214,  -2.095793962735,   1.840740740741>,   2.000000000000
<  5.281208347081,  -2.847602218486,   1.972222222222>,   2.000000000000
<  4.840387106931,  -3.545511621058,   2.103703703704>,   2.000000000000
<  4.307947974257,  -4.176312278924,   2.235185185185>,   2.000000000000
<  4.010458310185,  -4.462759700260,   2.300925925926>,   2.000000000000
<  3.693968851954,  -4.728064521640,   2.366666666667>,   2.000000000000

<  3.428733527894,  -4.947757484760,   2.404590081614>,   2.000000000000
<  3.162555630626,  -5.147909586158,   2.444394047999>,   2.000000000000
<  2.882644436333,  -5.332970905268,   2.484230669007>,   2.000000000000
<  2.592916907468,  -5.506119534351,   2.524305259010>,   2.000000000000
<  2.297290006487,  -5.670533565668,   2.564823132381>,   2.000000000000
<  1.999680695846,  -5.829391091481,   2.605989603493>,   2.000000000000
<  1.704005938000,  -5.985870204049,   2.648009986718>,   2.000000000000
<  1.414182695404,  -6.143148995633,   2.691089596428>,   2.000000000000
<  1.134127930513,  -6.304405558496,   2.735433746997>,   2.000000000000
<  0.867758605782,  -6.472817984897,   2.781247752796>,   2.000000000000

<  0.578553382625,  -6.647098371432,   2.821774357656>,   2.000000000000
<  0.246457741452,  -6.886222565449,   2.907833496404>,   2.000000000000
< -0.089147380151,  -7.128856239896,   2.965903908756>,   2.000000000000
< -0.765397043321,  -7.619163008754,   2.997112007286>,   2.000000000000
< -1.439155431848,  -8.106978502969,   2.914807952511>,   2.000000000000
< -2.099429525050,  -8.581309701859,   2.720549579348>,   2.000000000000
< -2.735481530329,  -9.031418812826,   2.418013771972>,   2.000000000000
< -3.337032125988,  -9.447026514173,   2.012926868478>,   2.000000000000
< -3.894455026208,  -9.818506520081,   1.512956273882>,   2.000000000000
< -4.398959185486, -10.137067785046,   0.927565332994>,   2.000000000000
< -4.842755193810, -10.394920899059,   0.267834210090>,   2.000000000000
< -5.219202713078, -10.585425524015,  -0.453749834250>,   2.000000000000
< -5.522936164105, -10.703216080730,  -1.223528799548>,   2.000000000000
< -5.749966285249, -10.744303307561,  -2.026932461367>,   2.000000000000
< -5.897755640367, -10.706149768367,  -2.848754153645>,   2.000000000000
< -5.965266646909, -10.587717880598,  -3.673438597474>,   2.000000000000
< -5.952981215075, -10.389489554451,  -4.485376328348>,   2.000000000000
< -5.862891626309, -10.113457071374,  -5.269199149030>,   2.000000000000
< -5.698462823797,  -9.763085374550,  -6.010071015757>,   2.000000000000
< -5.464566828699,  -9.343246485139,  -6.693968851954>,   2.000000000000
< -5.167390523496,  -8.860127285624,  -7.307947974257>,   2.000000000000
< -4.814318547898,  -8.321112415714,  -7.840387106931>,   2.000000000000
< -4.413793523841,  -7.734644497345,  -8.281208347081>,   2.000000000000
< -3.975156255203,  -7.110064334396,  -8.622067917214>,   2.000000000000
< -3.508468926912,  -6.457434111793,  -8.856514094612>,   2.000000000000
< -3.024324649892,  -5.787346940460,  -8.980109328267>,   2.000000000000
< -2.533646956748,  -5.110726353004,  -8.990514231973>,   2.000000000000
< -2.047483043300,  -4.438619545244,  -8.887531863764>,   2.000000000000
< -1.576794669433,  -3.781988277066,  -8.673111453596>,   2.000000000000
< -1.132250677075,  -3.151501390395,  -8.351311508703>,   2.000000000000
< -0.724025052453,  -2.557332871461,  -7.928222994975>,   2.000000000000
< -0.361604354893,  -2.008969279590,  -7.411854048359>,   2.000000000000
< -0.053608157099,  -1.515030187483,  -6.811978398435>,   2.000000000000
<  0.192374104428,  -1.083105031644,  -6.139950373196>,   2.000000000000
<  0.369926780738,  -0.719609461022,  -5.408489986564>,   2.000000000000
<  0.473929444577,  -0.429663902872,  -4.631442176476>,   2.000000000000
<  0.500653808818,  -0.216996644318,  -3.823514750630>,   2.000000000000
<  0.484270132068,  -0.140408873912,  -3.412735054232>,   2.000000000000
<  0.447834294751,  -0.083873264073,  -3.000000000000>,   2.000000000000

<  0.391945935195,   0.089091149246,  -1.997217940580>,   2.000000000000
<  0.319879921846,   0.221906426772,  -1.284757736462>,   2.000000000000
<  0.236539095976,   0.321517884916,  -0.773773028670>,   2.000000000000
<  0.145144832592,   0.387925523678,  -0.406699389680>,   2.000000000000
<  0.048918506698,   0.421129343060,  -0.125972391973>,   2.000000000000
< -0.048918506698,   0.421129343060,   0.125972391973>,   2.000000000000
< -0.145144832592,   0.387925523678,   0.406699389680>,   2.000000000000
< -0.236539095976,   0.321517884916,   0.773773028670>,   2.000000000000
< -0.319879921846,   0.221906426772,   1.284757736462>,   2.000000000000
< -0.391945935195,   0.089091149246,   1.997217940580>,   2.000000000000

< -0.447834294751,  -0.083873264073,   3.000000000000>,   2.000000000000
< -0.484270132068,  -0.140408873912,   3.412735054232>,   2.000000000000
< -0.500653808818,  -0.216996644318,   3.823514750630>,   2.000000000000
< -0.473929444577,  -0.429663902872,   4.631442176476>,   2.000000000000
< -0.369926780738,  -0.719609461022,   5.408489986564>,   2.000000000000
< -0.192374104428,  -1.083105031644,   6.139950373196>,   2.000000000000
<  0.053608157099,  -1.515030187483,   6.811978398435>,   2.000000000000
<  0.361604354893,  -2.008969279590,   7.411854048359>,   2.000000000000
<  0.724025052453,  -2.557332871461,   7.928222994975>,   2.000000000000
<  1.132250677075,  -3.151501390395,   8.351311508703>,   2.000000000000
<  1.576794669433,  -3.781988277066,   8.673111453596>,   2.000000000000
<  2.047483043300,  -4.438619545244,   8.887531863764>,   2.000000000000
<  2.533646956748,  -5.110726353004,   8.990514231973>,   2.000000000000
<  3.024324649892,  -5.787346940460,   8.980109328267>,   2.000000000000
<  3.508468926912,  -6.457434111793,   8.856514094612>,   2.000000000000
<  3.975156255203,  -7.110064334396,   8.622067917214>,   2.000000000000
<  4.413793523841,  -7.734644497345,   8.281208347081>,   2.000000000000
<  4.814318547898,  -8.321112415714,   7.840387106931>,   2.000000000000
<  5.167390523496,  -8.860127285624,   7.307947974257>,   2.000000000000
<  5.464566828699,  -9.343246485139,   6.693968851954>,   2.000000000000
<  5.698462823797,  -9.763085374550,   6.010071015757>,   2.000000000000
<  5.862891626309, -10.113457071374,   5.269199149030>,   2.000000000000
<  5.952981215075, -10.389489554451,   4.485376328348>,   2.000000000000
<  5.965266646909, -10.587717880598,   3.673438597474>,   2.000000000000
<  5.897755640367, -10.706149768367,   2.848754153645>,   2.000000000000
<  5.749966285249, -10.744303307561,   2.026932461367>,   2.000000000000
<  5.522936164105, -10.703216080730,   1.223528799548>,   2.000000000000
<  5.219202713078, -10.585425524015,   0.453749834250>,   2.000000000000
<  4.842755193810, -10.394920899059,  -0.267834210090>,   2.000000000000
<  4.398959185486, -10.137067785046,  -0.927565332994>,   2.000000000000
<  3.894455026208,  -9.818506520081,  -1.512956273882>,   2.000000000000
<  3.337032125988,  -9.447026514173,  -2.012926868478>,   2.000000000000
<  2.735481530329,  -9.031418812826,  -2.418013771972>,   2.000000000000
<  2.099429525050,  -8.581309701859,  -2.720549579348>,   2.000000000000
<  1.439155431848,  -8.106978502969,  -2.914807952511>,   2.000000000000
<  0.765397043321,  -7.619163008754,  -2.997112007286>,   2.000000000000
<  0.089147380151,  -7.128856239896,  -2.965903908756>,   2.000000000000
< -0.246457741452,  -6.886222565449,  -2.907833496404>,   2.000000000000
< -0.578553382625,  -6.647098371432,  -2.821774357656>,   2.000000000000

< -0.867758605781,  -6.472817984897,  -2.781247752796>,   2.000000000000
< -1.134127930512,  -6.304405558496,  -2.735433746997>,   2.000000000000
< -1.414182695403,  -6.143148995633,  -2.691089596428>,   2.000000000000
< -1.704005938000,  -5.985870204049,  -2.648009986718>,   2.000000000000
< -1.999680695846,  -5.829391091481,  -2.605989603493>,   2.000000000000
< -2.297290006488,  -5.670533565668,  -2.564823132381>,   2.000000000000
< -2.592916907468,  -5.506119534351,  -2.524305259010>,   2.000000000000
< -2.882644436333,  -5.332970905268,  -2.484230669007>,   2.000000000000
< -3.162555630627,  -5.147909586158,  -2.444394047999>,   2.000000000000
< -3.428733527895,  -4.947757484760,  -2.404590081613>,   2.000000000000

< -3.693968851954,  -4.728064521640,  -2.366666666667>,   2.000000000000
< -4.010458310185,  -4.462759700260,  -2.300925925926>,   2.000000000000
< -4.307947974257,  -4.176312278924,  -2.235185185185>,   2.000000000000
< -4.840387106931,  -3.545511621058,  -2.103703703704>,   2.000000000000
< -5.281208347081,  -2.847602218486,  -1.972222222222>,   2.000000000000
< -5.622067917214,  -2.095793962735,  -1.840740740741>,   2.000000000000
< -5.856514094612,  -1.304316932197,  -1.709259259259>,   2.000000000000
< -5.980109328267,  -0.488152048007,  -1.577777777778>,   2.000000000000
< -5.990514231973,   0.337252481872,  -1.446296296296>,   2.000000000000
< -5.887531863764,   1.156273563289,  -1.314814814815>,   2.000000000000

    tolerance 0.1 

// Uncomment appropriate texture line:

//    texture { solidtexture }
//    texture { steeltexture }
    texture { glasstexture }

}


object {
   aart 

//   rotate 180.0*y

// Uncomment three "rotate" lines for view angle 1 of object:

   rotate 90.0*y
   rotate 22.0*y
   rotate 20.0*x

// Uncomment two "rotate" lines for view angle 2 of object:

//   rotate 3.5*y
//   rotate 10.0*x

   scale 0.35
   translate 1.2*y
}
