//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "shapes.inc"
#include "colors.inc"
// #include "textures.inc"

camera {
   location  <0.0, 0.0, -10.0>
   look_at   <0.0, 0.0,   10.0>
   up        <0.0, 1.0,   0.0>
   right     <4/3, 0.0,   0.0>
}

// light_source { <70, 35, -200> colour <0.2, 0.2, 0.2> }

// light_source { <105, 35, -200> colour <0.2, 0.2, 0.2> }

light_source { <105.0, 35.0, -200.0> colour <0.4, 0.4, 0.4> }

sphere { <0.0,0.0,0.0>, 1000.0 hollow texture { pigment {rgb <1.0, 1.0, 1.0>} } }

fog {
   color <1.0, 1.0, 1.0> 
   distance 30.0
}

#declare colfinish = finish {
    phong 1.0
    phong_size 10.0
    ambient 0.3
    diffuse 0.8
}

#declare Oxygen = sphere {
   <0.0, 0.0, 0.0>, 0.15 
   texture {
      pigment { Red }
      finish { colfinish }
   }
}

#declare Hydrogen = sphere {
   <0.0, 0.0, 0.0>, 1.0 
   texture {
      pigment { White }
      finish { colfinish }
   }
}

#declare Glue = cylinder {
    -0.5*x, 0.5*x, 0.03 
   texture {
      pigment { Green }
      finish { colfinish }
   }
}

union {
       object { Oxygen translate <0.5, 0.5, 0.5> }
       object { Oxygen translate <-0.5, 0.5, 0.5> }
       object { Oxygen translate <0.5, -0.5, 0.5> }
       object { Oxygen translate <-0.5, -0.5, 0.5> }

       object { Glue translate <0.0, 0.5, 0.5> }
       object { Glue translate <0.0, -0.5, 0.5> }
       object { Glue
           rotate 90.0*z
           translate <0.5, 0.0, 0.5>
       }
       object { Glue
           rotate 90.0*z
           translate <-0.5, 0.0, 0.5>
       }

       object { Oxygen translate <0.5, 0.5, -0.5> }
       object { Oxygen translate <-0.5, 0.5, -0.5> }
       object { Oxygen translate <0.5, -0.5, -0.5> }
       object { Oxygen translate <-0.5, -0.5, -0.5> }

       object { Glue translate <0.0, 0.5, -0.5> }
       object { Glue translate <0.0, -0.5, -0.5> }
       object { Glue
           rotate 90.0*z
           translate <0.5, 0.0, -0.5>
       }
       object { Glue
           rotate 90.0*z
           translate <-0.5, 0.0, -0.5>
       }
       object { Glue
           rotate 90.0*y
           translate <-0.5, 0.5, 0.0>
       }
       object { Glue
           rotate 90.0*y
           translate <-0.5, -0.5, 0.0>
       }
       object { Glue
           rotate 90.0*y
           translate <0.5, 0.5, 0.0>
       }
       object { Glue
           rotate 90.0*y
           translate <0.5, -0.5, 0.0>
       }
      rotate 25.0*y
      rotate 25.0*x
      scale 4.0
}
