//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: April 2005, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"

camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}

light_source { <5.0, 8.0, -40.0> color rgb 0.30}

light_source { <5.0, 44.0, -20.0> color rgb 0.30}

sky_sphere { pigment {rgb <0.61, 0.70, 0.85>} }

// sky_sphere { pigment {rgb <0.585, 0.675, 0.81>} }

// sky_sphere { pigment {rgb <0.45, 0.75, 1.0>} }

// sky_sphere { pigment {rgb <0.27, 0.45, 0.60>} }

// sky_sphere { pigment {rgb <0.70, 0.70, 0.70>} }

// sphere { <0,0,0>, 1000 hollow texture { pigment {rgb <0.45, 0.75, 1.0>} } }

#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}

plane {z, 12.0  inverse
   texture {
      pigment { color rgb 0.9 }
      finish {
         phong 0.0
         phong_size 1.0
         ambient 0.8
         diffuse 0.2 
      }
   }
}

plane {y, -3.0 
   texture {
      pigment {
         checker color rgb 0.8 color Yellow 
         scale 2.0
      }
      finish {
         phong 0.2
	 phong_size 1.0
         ambient 0.8
         diffuse 0.2
      }
   }
   scale 1.0 
}

#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0 
}

#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}

#declare link = union {
   object { l1 
      translate -2.0*x
   }
   object { l1 
      translate 2.0*x
   }
   object { l2 
      translate 2.0*z
   }
   object { l2 
      translate 2.0*z
      rotate 180*x
   }
   texture { steeltexture }
}

union {
   object { link 
   }
   object { link 
      rotate 90.0*z
      rotate 90.0*x
   }
   object { link 
      rotate 90.0*y
      rotate 90.0*x
   }
   scale 0.7
   rotate -45.0*z
   rotate 45.0*y
   rotate -15.0*z
   rotate -10.0*y
   rotate 2.0*x
}
