//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
// #include "glass.inc"
#include "shapes.inc"
#include "woods.inc"

camera {
   location <0, 0, -40>
   up <0.0, 1.0, 0.0>
   right <4/3, 0.0, 0.0>
   look_at <0, 0, 0>
}

light_source { <30.0, 30.0, -60.0> color rgb 0.70}

//light_source { <30, 30, -60> color rgb 1.0}

// light_source { <30, 30, -60> color rgb 0.5}

// light_source { <-30, 30, -60> color rgb 0.5}

light_source { <-10.0, 0.0, -200.0> color rgb 0.55}

// light_source { <-10, 0, -200> color rgb 0.417}

sky_sphere { pigment {rgb <1.0,1.0,1.0> } }


#declare wood1 = texture {
   T_Wood11
   scale 8.0
   rotate 90.0*x
}

union {

text { ttf "timrom.ttf" "Stefan" 1, 0
   scale 14.5
   translate <-18.1, -4.6, -3.0>
   texture { wood1
   }
}

cylinder { -1.0*z, 1.0*z, 1.0
   scale <22.0, 15.4, 1.0>
   texture { wood1 }
}

intersection {
   cylinder { -3.0*z, 3.0*z, 1.0
      scale <24.0, 17.4, 1.0>
   }
   cylinder { -3.0*z, 3.0*z, 1.0 open inverse
      scale <22.0, 15.4, 1.0>
   }
   texture { wood1 }
}

}
